
// BoidsList.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th
// Sirinart Sakarin, March 2003, s4210315@calvin.coe.psu.ac.th


/* Seznam typu ArrayList pro agenty.
   Metody jsou synchronizovány, aby odebírání agentů nemohlo
   kolidovat se přístupem k jejich odkazům.
*/

import java.util.*;

public class BoidsList extends ArrayList
{
  public BoidsList(int num)
  {  super(num);  }


  synchronized public Boid getBoid(int i)
  // vra agenta, je-li viditelný; jinak vra null
  {
    if (i < super.size())
      return (Boid)get(i);
    return null;
  }


 synchronized public boolean removeBoid(int i)
 // pokus se odebrat i-tého agenta
 { if (i < super.size()) {
      super.remove(i);
      return true;
   }
   return false;
 }


}  // konec třídy: BoidsList